[mythtv-users] Mythtv 0.20.2 xbox xebian pkgs now available

Steve Dobson steve at dobson.org
Thu Nov 8 09:42:08 UTC 2007


On Thu, 2007-11-08 at 00:14 -0800, Monkey Pet wrote:
> On Oct 27, 2007 9:26 AM, Greg Wasson <greg.wasson at gmail.com> wrote:
> > I tried following the instructions below, but get some errors when
> > doing the apt-get update relating to the followng URL:
> >
> > deb ftp://ftp.sunet.se/pub/os/Linux/distributions/debian-multimedia/ sarge main
> >
> > I get an error message that sarge does not exist.

Sarge is a old version of Debian.  Etch is the latest stable release.

> > It seems the sarge directory is no longer available. If I replace
> > sarge with stable, I think it is trying to update me to etch. I do get
> > through the apt-get update process, but when trying to install
> > mythtv-frontend I get all sorts of broken dependencies.

I don't know which method of upgrading you are using so I will assume
the command line.

"apt-get upgrades" will *not* take you to a new release.  It only
upgrades packages that are already installed.  With a new release of
Debain there are often a number of installed packages that have new
dependancies and "apt-get upgrade" will not install these.

When upgrading to a new release you should use the "apt-get
dist-upgrade" command, this installs any new dependencies as well.

I personally think that it is a bad idea to use the "stable" name
in /etc/apt/sources.list.  When Debian release a new version you then
are "forced" to upgrade too, even if the time is not right for you.  If
you use the name instead then you get to decide a which point you
upgrade to the new stable release.

> > Also, the http://yoeu.net/debian link does not seem to exist.
> If you just want to browse the site above in a browser, just add a
> trailing slash to it.

If this is where you got the packages for the XBox then I'm sorry I
don't know how to help.  But at the start you  are using one of the
debian-multimedia mirrors and those work just fine for me on my i686
based system.  So I'll give you what I know about Debian in the hope it
will help.

> > Can anyone point me to an updated process for upgrading to
> > mythtv-frontend-0.20.2?

    <Suggestion: change /etc/apt/sources.list to use a name rather
		 than "stable>
    # apt-get update
    # apt-get clean         <-- Remove old debs stored in /var/cache/apt
    # apt-get dist-upgrade

> Did you get it working?

I use "sid" the experimental debian version.  "sid" was required when I
started using Myth, but that was in the days before "sarge" so "etch" is
probably fine these days.  There can be issues using "sid", broken
packages are not uncommon, but it is the latest and greatest available
from Debian so you get what you pay for. :-)

> > Sorry, I am fairly new to Debian/xebian, most of my linux experience
> > is with redhat/fedora.

Well I'm new to this list, but not to Myth or Debian.  I signed up
because I'm have a problem getting Myth to drive the new IvTV drivers in
the 2.6.22 kernel.  However it works just fine with 2.6.18.

Hope this helps
Steve Dobson

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : http://mythtv.org/pipermail/mythtv-users/attachments/20071108/b6a67b1d/attachment.pgp 

More information about the mythtv-users mailing list